var childproc = require('child_process');
const util = require('util');
const exec = util.promisify(require('child_process').exec);

class DictClient {
    constructor() {
        // 企业性质
        this.companyNatureList = [];
        this.companyNatureList.push("有限责任公司");
        this.companyNatureList.push("股份有限公司");
        this.companyNatureList.push("国有企业");
        this.companyNatureList.push("民营企业");
        this.companyNatureList.push("个体户");
        this.companyNatureList.push("事业单位");
        this.companyNatureList.push("政府机构");
        this.companyNatureList.push("非营利组织");
        this.companyNatureList.push("合伙企业");

        // 行业
        this.companyIndustryList = [];
        this.companyIndustryList.push("农、林、牧、渔业");
        this.companyIndustryList.push("采矿业");
        this.companyIndustryList.push("制造业");
        this.companyIndustryList.push("电力、热力、燃气及水生产和供应业");
        this.companyIndustryList.push("建筑业");
        this.companyIndustryList.push("批发和零售业");
        this.companyIndustryList.push("交通运输、仓储和邮政业");
        this.companyIndustryList.push("住宿和餐饮业");
        this.companyIndustryList.push("信息传输、软件和信息技术服务业");
        this.companyIndustryList.push("金融业");
        this.companyIndustryList.push("房地产业");
        this.companyIndustryList.push("租赁和商务服务业");
        this.companyIndustryList.push("科学研究和技术服务业");
        this.companyIndustryList.push("水利、环境和公共设施管理业");
        this.companyIndustryList.push("居民服务、修理和其他服务业");
        this.companyIndustryList.push("教育");
        this.companyIndustryList.push("卫生和社会工作");
        this.companyIndustryList.push("文化、体育和娱乐业");
        this.companyIndustryList.push("公共管理、社会保障和社会组织");
        this.companyIndustryList.push("国际组织");
    }

    async getCompanyNature() {
        var list = [];
        for(var nature of this.companyNatureList) {
            list.push(nature);
        }
        return list;
    }

    async getCompanyIndustry() {
        var list = [];
        for(var industry of this.companyIndustryList) {
            list.push(industry);
        }
        return list;

    }
}

module.exports = DictClient;
